Informix Client Software Development Kit (Client SDK) and Informix Connect System Requirements

Product documentation


Abstract

This document describes the operating system requirements for IBM® Informix® Client Software Development Kit (Client SDK) and Informix Connect.

Content

Last modified: March 14, 2014

Informix Client SDK and Informix Connect run on most systems that have a UNIX, Linux, or Windows operating system and, starting with version 3.5, also on the Mac OS X operating system.

Download Informix Client SDK

System requirements are listed by operating system (OS). In this document:


For more information about the system requirements for each client API, see the following machine notes:

Platform: AIX

Hardware: IBM POWER (System p, System i, POWER Blades)
Note: These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
AIX 5L 5.3 3.50.UC9
3.50.FC9
3.00.UC3R1
3.00.FC3R1
AIX 6.1 4.10.UC3
4.10.FC3
Minimum TL 4 Service Pack 3
3.70.UC8
3.70.FC8
Minimum TL 4 Service Pack 3
3.50.UC9
3.50.FC9
3.00.UC3R1
3.00.FC3R1
AIX 7.1 4.10.UC3
4.10.FC3
3.70.UC8
3.70.FC8
3.50.UC9
3.50.FC9

Platform: HP-UX (Itanium)

Hardware: Itanium is required
Note:
These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
HP-UX 11.23 3.50.UC9
3.50.FC9
3.00.UC3R1
3.00.FC3R1
HP-UX 11.31 4.10.UC3
4.10.FC3
3.70.UC8
3.70.FC8
3.50.UC9
3.50.FC9
3.00.UC3R1
3.00.FC3R1


Platform: HP-UX (PA-RISC)

Hardware: PA-RISC
Note:
These codes are used in the following table:
F = 64-bit
H = 32-bit build on any HP PA-RISC 11.x platform; also runs on HP PA-RISC 11.x 64-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
HP-UX 11.11 3.70.HC8
3.70.FC8
3.50.HC9
3.50.FC9
3.00.HC3R1
3.00.FC3R1
HP-UX 11.23 3.70.HC8
3.70.FC8
3.50.HC9
3.50.FC9
3.00.HC3R1
3.00.FC3R1
HP-UX 11.31 3.70.HC8
3.70.FC8
3.50.HC9
3.50.FC9
3.00.HC3R1
3.00.FC3R1


Platform: Linux - Intel

Hardware: Intel x86 , Intel x86_64 (EM64T/AMD64)
Note:
These codes are used in the following table:
F = 64-bit on Intel x86_64 (EM64T/AMD64)
U = 32-bit on Intel x86 or Intel x86_64 (EM64T/AMD64)


Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
RHEL 4 3.50.UC9
3.50.FC9
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.5​
3.00.UC3R1
3.00.FC3R1
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.5​
RHEL 5 4.10.UC3
4.10.FC3
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.UC8
3.70.FC8
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.00.UC3R1
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
RHEL 6 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version 2.6.18
- Glibc version ​2.5
- Compiler 4.1.1
CentOS 6 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
SuSE SLES 10 3.50.UC9
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
3.00.UC3R1
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
SuSE SLES 11 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.2
Asianux 2.0 3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.9
- Glibc version ​2.3.4
- Compiler 3.4.3
3.00.UC3R1
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.9
- Glibc version ​2.3.4
- Compiler 3.4.3
Asianux 3.0 4.10.UC3
4.10.FC3
Additional OS requirements:
- Minimum service pack 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.UC8
3.70.FC8
Additional OS requirements:
- Minimum service pack 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.1
3.00.UC3R1
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.1
Debian 4.0 3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.3.6
- Compiler 4.1.2
3.00.UC3R1
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.3.6
- Compiler 4.1.2
Debian 5.0 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.26
- Glibc version ​2.7
- Compiler 4.3.2
Ubuntu 6.06.1 LTS 3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.15
- Glibc version ​2.3.6
- Compiler 4.0.3
3.00.UC3R1
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.15
- Glibc version ​2.3.6
- Compiler 4.0.3
Ubuntu 8.04 LTS 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2.4
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2.4
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.24
- Glibc version ​2.7
- Compiler 4.2
Ubuntu 10.04 LTS 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.32
- Glibc version ​2.11.1
- Compiler 4.4.3
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.32
- Glibc version ​2.11.1
- Compiler 4.4.3
Ubuntu 12.04 LTS 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​3.2.0
- Glibc version ​2.15
- Compiler 4.6.3
openSuSE 11.1 Developer Edition only
4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
Developer Edition only
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9.2
- Compiler 4.3.2
openSuSE 11.2 Developer Edition only
4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version 2.6.31​
- Glibc version ​2.10.1
- Compiler 4.4.0
openSuSE 11.3 Developer Edition only
4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Developer Edition only
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Developer Edition only
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.34
- Glibc version ​2.11.2
- Compiler 4.5.0
Fedora 11 Developer Edition only
4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Developer Edition only
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.29
- Glibc version ​2.10.1
- Compiler 4.4.0
Fedora 12 Developer Edition only
4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Developer Edition only
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Developer Edition only
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.31
- Glibc version ​2.11
- Compiler 4.4.2
Fedora 13 Developer Edition only
4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4
Developer Edition only
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4
Developer Edition only
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.33
- Glibc version ​2.12
- Compiler 4.4.4

Platform: Linux - IBM POWER

Hardware: System p, System i, POWER blades
Note:
This code is used in the following table:
F = 64-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
RHEL 4 3.50.FC9
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.56
3.00.FC3R1
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.56
RHEL 5 4.10.FC3
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.FC8
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
RHEL 6 4.10.FC3
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.50.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.5
- Compiler 4.1.1
SuSE SLES 10 3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
SuSE SLES 11 4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.2
Asianux 2.0 3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.9
- Glibc version ​2.3.4
- Compiler 3.4.3
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.9
- Glibc version ​2.3.4
- Compiler 3.4.3
Asianux 3.0 3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.1
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.1


Platform: Linux - IBM System z

Hardware: System z
Note:
This code is used in the following table:
U = 32-bit
F = 64-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
RHEL 4 3.50.UC9
3.50.FC9
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.56
3.00.FC3R1
Additional OS requirements:
- Minimum update 3 ​
- Base kernel version 2.6.9 ​
- Glibc version 2.3.4 ​
- Compiler 3.4.56
RHEL 5 4.10.UC3
4.10.FC3
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.70.UC8
3.70.FC8
Additional OS requirements:
- Minimum update 3
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.18
- Glibc version ​2.5
- Compiler 4.1.2
RHEL 6 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.12
- Compiler 4.4.4
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version 2.6.32​
- Glibc version ​2.5
- Compiler 4.1.1
SuSE SLES 10 3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
3.00.FC3R1
Additional OS requirements:
- Base kernel version ​2.6.16
- Glibc version ​2.4-31
- Compiler 4.1.0
SuSE SLES 11 4.10.UC3
4.10.FC3
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.70.UC8
3.70.FC8
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.3
3.50.UC9
3.50.FC9
Additional OS requirements:
- Base kernel version ​2.6.27
- Glibc version ​2.9
- Compiler 4.3.2


Platform: Mac OS X

Hardware: Intel EM64T
Note:
These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
Mac OS X 10.5.2 "Leopard" 3.70.FC4
3.70.UC4
3.50.FC9
3.50.UC9
Mac OS X 10.6 "Snow Leopard" 3.70.FC4
3.70.UC4
3.50.FC9
3.50.UC9

Platform: Solaris (SPARC)

Hardware: SPARC
Note:
These codes are used in the following table:
F = 64-bit
U = 32-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
Solaris 9 3.50.UC9
3.50.FC9
3.00.UC3R1
3.00.FC3R1
Solaris 10 4.10.UC3
4.10.FC3
Minimum update 8 is required
3.70.UC8
3.70.FC8
Minimum update 6 is required
3.50.UC9
3.50.FC9
3.00.UC3R1
3.00.FC3R1
Solaris 11 4.10.UC3
4.10.FC3
3.70.UC8
3.70.FC8

Platform: Solaris (Intel)

Hardware: Intel x86 or x64(AMD AMD64, Intel EM64T)
Note:
These codes are used in the following table:
F = 64-bit on x64(AMD AMD64, Intel EM64T)
U = 32-bit

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
Solaris 10 4.10.UC3
4.10.FC3
Minimum update 8 is required
3.70.UC8
3.70.FC8
Minimum update 6 is required
3.50.UC9
3.50.FC9
3.00.UC3R1
3.00.FC3R1
Solaris 11 4.10.UC3
4.10.FC3
3.70.UC8
3.70.FC8

Platform: Windows

Hardware: Intel x86 or x64(AMD AMD64, Intel EM64T)
Note:
These codes are used in the following table:
F = 64-bit on AMD AMD64, Intel EM64T
T = 32-bit on any Windows platform

Operating System Version Client SDK/Informix Connect 4.10 Client SDK/Informix Connect 3.70 Client SDK/Informix Connect 3.50 Client SDK/Informix Connect 3.00
Windows 2003 4.10.TC3
4.10.FC3
3.70.TC8
3.70.FC8
3.50.TC9
3.50.FC9
3.00.TC3R1
3.00.FC3R1
Windows 2008 4.10.TC3
4.10.FC3
3.70.TC8
3.70.FC8
3.50.TC9
3.50.FC9
Windows 2008 R2 (64-bit) 4.10.TC3
4.10.FC3
3.70.TC8
3.70.FC8
3.50.TC9
3.50.FC9
Windows 7 4.10.TC3
4.10.FC3
3.70.TC8
3.70.FC8
3.50.TC9
3.50.FC9
Windows Vista 4.10.TC3
4.10.FC3
3.70.TC8
3.70.FC8
3.50.TC9
3.50.FC9
3.00.TC3R1
3.00.FC3R1
Windows XP 4.10.TC3
4.10.FC3
3.70.TC8
3.70.FC8
3.50.TC9
3.50.FC9
3.00.TC3R1
3.00.FC3R1
Windows 8 4.10.TC3
4.10.FC3
Windows 2012 4.10.TC3
4.10.FC3

Related information

Download CSDK
Informix system requirements

Copyright date

2014

Cross reference information
Segment Product Component Platform Version Edition
Information Management Informix Tools Informix Connect AIX, Digital Unix (OSF1)(TRU64), HP-UX, IRIX, Linux, Mac OS X, Reliant UNIX, Sinix, Solaris, Windows 2.8, 2.9, 3.0, 3.5

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Informix Tools
Informix Client Software Development Kit (CSDK)

Software version:

3.0, 3.5, 3.7, 4.1

Operating system(s):

AIX, Digital Unix (OSF1)(TRU64), HP-UX, Linux, Mac OS X, Solaris, Windows

Reference #:

7016673

Modified date:

2014-03-14

Translate my page

Machine Translation

Content navigation